# pion::plugins::LogService Class Reference

`#include <LogService.hpp>`

Inherits pion::http::plugin_service.

List of all members.

## Public Member Functions

virtual void | operator() (pion::http::request_ptr &http_request_ptr, pion::tcp::connection_ptr &tcp_conn)
| handles a new HTTP request
LogServiceAppender & | getLogAppender (void)
| returns the log appender used by LogService

## Detailed Description

LogService: web service that displays log messages

Definition at line 121 of file LogService.hpp.

## Member Function Documentation

void pion::plugins::LogService::operator() | ( | pion::http::request_ptr & | http_request_ptr,
|  | pion::tcp::connection_ptr & | tcp_conn |
| ) |  |  | `[virtual]`

handles a new HTTP request

handles requests for LogService

Implements pion::http::plugin_service.

Definition at line 147 of file LogService.cpp.

References pion::http::response_writer::create(), pion::tcp::connection::finish(), getLogAppender(), and pion::plugins::LogServiceAppender::writeLogEvents().

The documentation for this class was generated from the following files:

- services/LogService.hpp
- services/LogService.cpp